package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.model.label.DiagLabel;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRC0087
 * @Description : 无鉴别诊断
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRC0087 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if(firstCourseRecordDoc != null){
            DiagLabel differentialDiagLabel = firstCourseRecordDoc.getDifferentialDiagLabel();
            if(differentialDiagLabel != null){
                List<Diag> diags = differentialDiagLabel.getDiags();
                if(diags == null || diags.size()<1){
                    status.set("-1");
                }
                if (StringUtils.isNotEmpty(differentialDiagLabel.getText())
                        && (differentialDiagLabel.getText().contains("暂缺")
                            || differentialDiagLabel.getText().contains("无") || differentialDiagLabel.getText().contains("诊断"))) {
                    status.set("0");
                }
            }
        }
    }
}